curl --request PATCH \
--url https://api.formbnb.com/forms/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"is_active": true,
"email_notifications": true,
"notification_email": "jsmith@example.com",
"notification_emails": [
"jsmith@example.com"
],
"redirect_url": "<string>",
"allowed_domains": [
"<string>"
],
"webhook_enabled": true,
"webhook_url": "<string>",
"webhook_secret": "<string>",
"custom_email_subject": "<string>",
"custom_email_template": "<string>",
"auto_responder_enabled": true,
"auto_responder_subject": "<string>",
"auto_responder_body": "<string>",
"auto_responder_from_name": "<string>",
"auto_responder_include_data": true,
"slack_enabled": true,
"slack_webhook_url": "<string>",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": true,
"discord_enabled": true,
"discord_webhook_url": "<string>",
"google_sheets_enabled": true,
"google_sheets_url": "<string>",
"telegram_enabled": true,
"telegram_bot_token": "<string>",
"telegram_chat_id": "<string>"
}
'import requests
url = "https://api.formbnb.com/forms/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"is_active": True,
"email_notifications": True,
"notification_email": "jsmith@example.com",
"notification_emails": ["jsmith@example.com"],
"redirect_url": "<string>",
"allowed_domains": ["<string>"],
"webhook_enabled": True,
"webhook_url": "<string>",
"webhook_secret": "<string>",
"custom_email_subject": "<string>",
"custom_email_template": "<string>",
"auto_responder_enabled": True,
"auto_responder_subject": "<string>",
"auto_responder_body": "<string>",
"auto_responder_from_name": "<string>",
"auto_responder_include_data": True,
"slack_enabled": True,
"slack_webhook_url": "<string>",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": True,
"discord_enabled": True,
"discord_webhook_url": "<string>",
"google_sheets_enabled": True,
"google_sheets_url": "<string>",
"telegram_enabled": True,
"telegram_bot_token": "<string>",
"telegram_chat_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
is_active: true,
email_notifications: true,
notification_email: 'jsmith@example.com',
notification_emails: ['jsmith@example.com'],
redirect_url: '<string>',
allowed_domains: ['<string>'],
webhook_enabled: true,
webhook_url: '<string>',
webhook_secret: '<string>',
custom_email_subject: '<string>',
custom_email_template: '<string>',
auto_responder_enabled: true,
auto_responder_subject: '<string>',
auto_responder_body: '<string>',
auto_responder_from_name: '<string>',
auto_responder_include_data: true,
slack_enabled: true,
slack_webhook_url: '<string>',
slack_channel_id: '<string>',
slack_channel_name: '<string>',
slack_notifications_enabled: true,
discord_enabled: true,
discord_webhook_url: '<string>',
google_sheets_enabled: true,
google_sheets_url: '<string>',
telegram_enabled: true,
telegram_bot_token: '<string>',
telegram_chat_id: '<string>'
})
};
fetch('https://api.formbnb.com/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_active": true,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_notifications": true,
"notification_email": "<string>",
"notification_emails": [
"<string>"
],
"redirect_url": "<string>",
"allowed_domains": [
"<string>"
],
"webhook_enabled": true,
"webhook_url": "<string>",
"webhook_secret": "<string>",
"custom_email_subject": "<string>",
"custom_email_template": "<string>",
"auto_responder_enabled": true,
"auto_responder_subject": "<string>",
"auto_responder_body": "<string>",
"auto_responder_from_name": "<string>",
"auto_responder_include_data": true,
"slack_enabled": true,
"slack_webhook_url": "<string>",
"discord_enabled": true,
"discord_webhook_url": "<string>",
"google_sheets_enabled": true,
"google_sheets_url": "<string>",
"telegram_enabled": true,
"telegram_bot_token": "<string>",
"telegram_chat_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Update Form
Update an existing form by ID.
Authorizations
Authentication using either a FormBnB session JWT (issued by /auth) or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.
Path Parameters
Form ID
Body
Form name
1 - 100Form description
500Whether the form is active
Enable email notifications
Primary notification email
Additional notification emails
URL to redirect after submission
Allowed domains for form submission
Enable webhook notifications
Webhook URL
Webhook secret for verification
Custom email subject
Custom email template
Enable auto-responder
Auto-responder subject
Auto-responder body
Auto-responder from name
Include submission data in auto-responder
Enable Slack integration
Slack webhook URL
Slack channel ID
Slack channel name
Enable Slack notifications
Enable Discord integration
Discord webhook URL
Enable Google Sheets integration
Google Sheets URL
Enable Telegram integration
Telegram bot token
Telegram chat ID
Response
Updated form
Was this page helpful?